# Contributing to the Badge API

Thank you for your interest in contributing to the Badge Programm Documentation! We welcome contributions from everyone, whether you're a first-time contributor or a long-time friend. This document will help you get started with the project.

## Contributor License Agreement (CLA)

Before we can accept your contributions, we need a signed version of a Contributor License Agreement (CLA) from you. Please download the template from here: [CLA_en.pdf](https://gitlab.opencode.de/open-code/badgebackend/gitlab-profile/-/blob/main/CLA/CLA_en.pdf). Fill out the CLA and email the signed copy back to us.

Please send the signed CLA to the following email address: ***hello@zendis.de***.

As soon as we have received the Contributor License Agreement from you, we will be able to accept your contributions.

## Code of Conduct

We have a [Code of Conduct](CODE_OF_CONDUCT.md) that we expect all contributors to follow. Please read it before contributing.

## How to Contribute

You can contribute to the Badge API in many ways. Here are some examples:

- Reporting a bug
- Fixing a bug
- Adding a new feature
- Improving the documentation
- Writing tests
- Reviewing code
- Helping others in the community

## Contributing code

### Outline

1. Create [an openCode account](https://opencode.de/en/register)
2. Fork the repository
3. Clone the repository
4. Create a new branch
5. Make your changes
6. Push your changes to your fork
7. Create a merge request
8. Address any feedback

### Local Setup

To contribute code to the Badge API, you'll need to set up your development environment. Here's how you can do that:

1. Make sure you have [Node.js](https://nodejs.org/) installed on your machine.
2. Clone the repository to your local machine.
3. Run `npm install` to install the project dependencies.
4. Run `npm run dev` to start the development server.